/******************************************************************************/
/*                                                                            */
/*                                  mptk.h                                    */
/*                                                                            */
/*                        Matching Pursuit Library                            */
/*                                                                            */
/* Rmi Gribonval                                                             */
/* Sacha Krstulovic                                           Mon Feb 21 2005 */
/* -------------------------------------------------------------------------- */
/*                                                                            */
/*  Copyright (C) 2005 IRISA                                                  */
/*                                                                            */
/*  This program is free software; you can redistribute it and/or             */
/*  modify it under the terms of the GNU General Public License               */
/*  as published by the Free Software Foundation; either version 2            */
/*  of the License, or (at your option) any later version.                    */
/*                                                                            */
/*  This program is distributed in the hope that it will be useful,           */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/*  GNU General Public License for more details.                              */
/*                                                                            */
/*  You should have received a copy of the GNU General Public License         */
/*  along with this program; if not, write to the Free Software               */
/*  Foundation, Inc., 59 Temple Place - Suite 330,                            */
/*  Boston, MA  02111-1307, USA.                                              */
/*                                                                            */
/******************************************************************************/

#ifndef __mptk_h_
#define __mptk_h_

#include "mp_types.h"
#include "mp_messaging.h"
#include "dsp_windows.h"
#include "win_server.h"
#include "fft_interface.h"
#include "general.h"
#include "mtrand.h"
#include "mp_signal.h"
#include "atom.h"
#include "block.h"
#include "mask.h"
#include "book.h"
#include "dict.h"
#include "mclt_abstract_block.h"
#include "mdct_block.h"
#include "mdct_atom.h"
#include "mclt_block.h"
#include "mclt_atom.h"
#include "mdst_block.h"
#include "mdst_atom.h"
#include "atom_classes.h"
#include "mpd_core.h"

#endif /* __mptk_h_ */


