import sys
import os
import threading
import shutil

binroot = sys.argv[1]
wavroot = sys.argv[2]
nThreads = int(sys.argv[3])
zeros = int(sys.argv[4])
bitrates = sys.argv[5:]

codfiles = []
for root, dirs, files in os.walk(wavroot):
	for filename in files:
		extension = filename[-3:-1]
		if extension=='co':
			codfiles.append(os.path.join(root,filename))

class mptk( threading.Thread ):
	def __init__( self ):
		threading.Thread.__init__( self )
	def run( self ):
		while True:
			if len(codfiles)==0:
				break
			lock.acquire()
			codfile = codfiles[0]
			del codfiles[0]
			lock.release()
			for bitrate in bitrates:
				wavfile = codfile[:-4]+'_'+codfile[-3:]+'_'+bitrate+'.wav'
				if not os.path.exists(wavfile):
					cmd = binroot+'/decoder '+codfile+' '+bitrate+' 0 '+wavfile+' '+str(zeros)
					os.system(cmd)

MyThreads = []
lock = threading.Lock()
for thread in range ( nThreads ):
	s = mptk()
	MyThreads.append(s)
	s.start()
for s in MyThreads:
	s.join()
